# ------------------------------------------------------------------------------
# CHANGES        |    7 ++++++-
# src/LYCurses.c |    4 +---
# src/LYUtils.c  |   38 +++++++++++++++++++-------------------
# 3 files changed, 26 insertions(+), 23 deletions(-)
# ------------------------------------------------------------------------------
Index: CHANGES
--- lynx2.8.4rel.1c+/CHANGES	Mon Sep  9 16:11:49 2002
+++ lynx2.8.4rel.1d/CHANGES	Thu Sep 12 20:11:39 2002
@@ -1,7 +1,12 @@
 Changes since Lynx 2.8 release
 ===============================================================================
 
-extracted from 2002-08-14 (2.8.5dev.9)
+extracted from 2002-09-12 (2.8.5dev.9)
+* correct inverted logic of restrictions table which made "-restrict=default"
+  provide incorrect values for several items.  This was broken in 2.8.4dev.19
+  (reported by Jeff Long <long@ukans.edu> and RobertM <robm@bob.bofh.org>) -TD
+* correct check for calling endwin() to allow for curses implementations
+  without newterm (report/patch by Brett Lymn).
 * escape blanks and other non-7bit graphic characters in startfile and similar
   addresses to guard against interpreting the address as multiple lines
   during a GET, etc (report by Ulf H{rnhammar <ulfh@Update.UU.SE>).
Index: src/LYCurses.c
--- lynx2.8.4rel.1c+/src/LYCurses.c	Mon Sep  9 16:11:48 2002
+++ lynx2.8.4rel.1d/src/LYCurses.c	Mon Sep  9 16:40:39 2002
@@ -548,9 +548,7 @@
 }
 #endif /* USE_COLOR_STYLE */
 
-#ifndef USE_SLANG
 PRIVATE BOOL lynx_called_initscr = FALSE;
-#endif
 
 #if HAVE_USE_DEFAULT_COLORS && USE_DEFAULT_COLORS
 /*
@@ -1250,7 +1248,7 @@
 	lynx_nl2crlf(TRUE);
 	lynx_enable_mouse (0);
 #if (!defined(WIN_EX) || defined(__CYGWIN__))	/* @@@ */
-	if(LYscreen) {
+	if(LYscreen || lynx_called_initscr) {
 	    endwin();	/* stop curses */
 	    LYDELSCR();
 	}
Index: src/LYUtils.c
--- lynx2.8.4rel.1c+/src/LYUtils.c	Sun Jun 10 21:14:52 2001
+++ lynx2.8.4rel.1d/src/LYUtils.c	Mon Sep  9 16:13:37 2002
@@ -4022,43 +4022,43 @@
     { "outside_ftp",	&no_outside_ftp,	CAN_ANONYMOUS_OUTSIDE_DOMAIN_FTP },
     { "inside_rlogin",	&no_inside_rlogin,	CAN_ANONYMOUS_INSIDE_DOMAIN_RLOGIN },
     { "outside_rlogin",	&no_outside_rlogin,	CAN_ANONYMOUS_OUTSIDE_DOMAIN_RLOGIN },
-    { "suspend",	&no_suspend,		TRUE },
-    { "editor",		&no_editor,		TRUE },
-    { "shell",		&no_shell,		TRUE },
-    { "bookmark",	&no_bookmark,		TRUE },
-    { "multibook",	&no_multibook,		TRUE },
-    { "bookmark_exec",	&no_bookmark_exec,	TRUE },
-    { "option_save",	&no_option_save,	TRUE },
+    { "suspend",	&no_suspend,		FALSE },
+    { "editor",		&no_editor,		FALSE },
+    { "shell",		&no_shell,		FALSE },
+    { "bookmark",	&no_bookmark,		FALSE },
+    { "multibook",	&no_multibook,		FALSE },
+    { "bookmark_exec",	&no_bookmark_exec,	FALSE },
+    { "option_save",	&no_option_save,	FALSE },
     { "print",		&no_print,		CAN_ANONYMOUS_PRINT },
-    { "download",	&no_download,		TRUE },
-    { "disk_save",	&no_disk_save,		TRUE },
+    { "download",	&no_download,		FALSE },
+    { "disk_save",	&no_disk_save,		FALSE },
 #if defined(EXEC_LINKS) || defined(EXEC_SCRIPTS)
     { "exec",		&no_exec,		LOCAL_EXECUTION_LINKS_ALWAYS_OFF_FOR_ANONYMOUS },
 #endif
-    { "lynxcgi",	&no_lynxcgi,		TRUE },
-    { "exec_frozen",	&exec_frozen,		TRUE },
+    { "lynxcgi",	&no_lynxcgi,		FALSE },
+    { "exec_frozen",	&exec_frozen,		FALSE },
     { "goto",		&no_goto,		CAN_ANONYMOUS_GOTO },
     { "jump",		&no_jump,		CAN_ANONYMOUS_JUMP },
-    { "file_url",	&no_file_url,		TRUE },
+    { "file_url",	&no_file_url,		FALSE },
 #ifndef DISABLE_NEWS
-    { "news_post",	&no_newspost,		TRUE },
+    { "news_post",	&no_newspost,		FALSE },
     { "inside_news",	&no_inside_news,	CAN_ANONYMOUS_INSIDE_DOMAIN_READ_NEWS },
     { "outside_news",	&no_outside_news,	CAN_ANONYMOUS_OUTSIDE_DOMAIN_READ_NEWS },
 #endif
     { "mail",		&no_mail,		CAN_ANONYMOUS_MAIL },
-    { "dotfiles",	&no_dotfiles,		TRUE },
-    { "useragent",	&no_useragent,		TRUE },
+    { "dotfiles",	&no_dotfiles,		FALSE },
+    { "useragent",	&no_useragent,		FALSE },
 #ifdef SUPPORT_CHDIR
-    { "chdir",		&no_chdir,		TRUE },
+    { "chdir",		&no_chdir,		FALSE },
 #endif
 #ifdef DIRED_SUPPORT
-    { "dired_support",	&no_dired_support,	TRUE },
+    { "dired_support",	&no_dired_support,	FALSE },
 #ifdef OK_PERMIT
-    { "change_exec_perms", &no_change_exec_perms, TRUE },
+    { "change_exec_perms", &no_change_exec_perms, FALSE },
 #endif /* OK_PERMIT */
 #endif /* DIRED_SUPPORT */
 #ifdef USE_EXTERNALS
-    { "externals",	&no_externals,		TRUE },
+    { "externals",	&no_externals,		FALSE },
 #endif
     { "lynxcfg_info",	&no_lynxcfg_info,	CAN_ANONYMOUS_VIEW_LYNXCFG_INFO },
 #ifndef NO_CONFIG_INFO
